/* Margin */

.m-1 {
    margin: 0.25rem;
}
.m-2 {
    margin: 0.5rem;
}
.m-3 {
    margin: 0.75rem;
}
.m-4 {
    margin: 1rem;
}
.m-5 {
    margin: 1.25rem;
}
.m-6 {
    margin: 1.5rem;
}
.m-7 {
    margin: 1.75rem;
}
.m-8 {
    margin: 2rem;
}
.m-9 {
    margin: 2.25rem;
}
.m-10 {
    margin: 2.5rem;
}

.mt-1 {
    margin-top: 0.25rem;
}
.mt-2 {
    margin-top: 0.5rem;
}
.mt-3 {
    margin-top: 0.75rem;
}
.mt-4 {
    margin-top: 1rem;
}
.mt-5 {
    margin-top: 1.25rem;
}
.mt-6 {
    margin-top: 1.5rem;
}
.mt-7 {
    margin-top: 1.75rem;
}
.mt-8 {
    margin-top: 2rem;
}
.mt-9 {
    margin-top: 2.25rem;
}
.mt-10 {
    margin-top: 2.5rem;
}
.mt-11 {
    margin-top: 2.75rem;
}
.mt-12 {
    margin-top: 3rem;
}

/* Margin Bottom */
.mb-1 {
    margin-bottom: 0.25rem;
}
.mb-2 {
    margin-bottom: 0.5rem;
}
.mb-3 {
    margin-bottom: 0.75rem;
}
.mb-4 {
    margin-bottom: 1rem;
}
.mb-5 {
    margin-bottom: 1.25rem;
}
.mb-6 {
    margin-bottom: 1.5rem;
}
.mb-7 {
    margin-bottom: 1.75rem;
}
.mb-8 {
    margin-bottom: 2rem;
}
.mb-9 {
    margin-bottom: 2.25rem;
}
.mb-10 {
    margin-bottom: 2.5rem;
}
.mb-11 {
    margin-bottom: 2.75rem;
}
.mb-12 {
    margin-bottom: 3rem;
}

/* Margin Y */
.my-1 {
    margin-top: 0.25rem;
    margin-bottom: 0.25rem;
}
.my-2 {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}
.my-3 {
    margin-top: 0.75rem;
    margin-bottom: 0.75rem;
}
.my-4 {
    margin-top: 1rem;
    margin-bottom: 1rem;
}
.my-5 {
    margin-top: 1.25rem;
    margin-bottom: 1.25rem;
}
.my-6 {
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
}
.my-7 {
    margin-top: 1.75rem;
    margin-bottom: 1.75rem;
}
.my-8 {
    margin-top: 2rem;
    margin-bottom: 2rem;
}
.my-9 {
    margin-top: 2.25rem;
    margin-bottom: 2.25rem;
}
.my-10 {
    margin-top: 2.5rem;
    margin-bottom: 2.5rem;
}
.my-11 {
    margin-top: 2.75rem;
    margin-bottom: 2.75rem;
}
.my-12 {
    margin-top: 3rem;
    margin-bottom: 3rem;
}

/* Margin X */
.mx-1 {
    margin-left: 0.25rem;
    margin-right: 0.25rem;
}
.mx-2 {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}
.mx-3 {
    margin-left: 0.75rem;
    margin-right: 0.75rem;
}
.mx-4 {
    margin-left: 1rem;
    margin-right: 1rem;
}
.mx-5 {
    margin-left: 1.25rem;
    margin-right: 1.25rem;
}
.mx-6 {
    margin-left: 1.5rem;
    margin-right: 1.5rem;
}
.mx-7 {
    margin-left: 1.75rem;
    margin-right: 1.75rem;
}
.mx-8 {
    margin-left: 2rem;
    margin-right: 2rem;
}
.mx-9 {
    margin-left: 2.25rem;
    margin-right: 2.25rem;
}
.mx-10 {
    margin-left: 2.5rem;
    margin-right: 2.5rem;
}
.mx-11 {
    margin-left: 2.75rem;
    margin-right: 2.75rem;
}
.mx-12 {
    margin-left: 3rem;
    margin-right: 3rem;
}

.container {
    width: 70%;
    padding: 50px;
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

i.hidden {
    display: none;
}

/* Code block */
.code-block {
    display: inline-block;
    width: 100%;
    padding: 0.5rem 1rem;
    background-color: #f4f4f4;
    border-radius: 0.5rem;
}

.code-block code {
    font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono",
        "Courier New", monospace;
    font-size: 0.875rem;
    /* line-height: 1px; */
    /* white-space: pre-wrap; */
    word-wrap: break-word;
}

#content {
    max-width: 1000px;
}

article > header > h1,
article > header > h2 {
    line-height: 1em;
    margin: 0 0 0.4em 0;
}

article > header > h1 {
    font-size: 24px;
    font-weight: bold;
    color: #000000;
}

article > header > h2 {
    font-size: 20px;
    color: #cf2e2e;
}

article a,
nav a {
    background: none;
    border-bottom: none;
    color: #1e73be;
}

@media (max-width: 768px) {
    .container {
        width: 100%;
        padding: 20px;
    }
}
